org.bdgenomics.cannoli.cli

# BcftoolsMpileupArgs

###
Related Doc: package cli

#### class BcftoolsMpileupArgs extends cannoli.BcftoolsMpileupArgs with ADAMSaveAnyArgs with ParquetArgs

Bcftools mpileup command line arguments.

Linear Supertypes
ParquetArgs, ADAMSaveAnyArgs, SaveArgs, ParquetRDDArgs, cannoli.BcftoolsMpileupArgs, Args4jBase, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. BcftoolsMpileupArgs
2. ParquetArgs
3. ADAMSaveAnyArgs
4. SaveArgs
5. ParquetRDDArgs
6. BcftoolsMpileupArgs
7. Args4jBase
8. AnyRef
9. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new BcftoolsMpileupArgs()

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### var addFiles: Boolean

   Definition Classes
     BcftoolsMpileupArgs

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### var asSingleFile: Boolean

   Definition Classes
     BcftoolsMpileupArgs → ADAMSaveAnyArgs

7. #### var bcftoolsArgs: String

   Definition Classes
     BcftoolsMpileupArgs

8. #### var blockSize: Int

   Definition Classes
     ParquetArgs → ParquetRDDArgs

9. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

10. #### var compressionCodec: CompressionCodecName

    Definition Classes
      ParquetArgs → ParquetRDDArgs

11. #### var deferMerging: Boolean

    Definition Classes
      BcftoolsMpileupArgs → ADAMSaveAnyArgs

12. #### var disableDictionaryEncoding: Boolean

    Definition Classes
      ParquetArgs → ParquetRDDArgs

13. #### var disableFastConcat: Boolean

    Definition Classes
      BcftoolsMpileupArgs → ADAMSaveAnyArgs

14. #### var doPrintUsage: Boolean

    Definition Classes
      Args4jBase

15. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

16. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

17. #### var executable: String

    Definition Classes
      BcftoolsMpileupArgs

18. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

19. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

20. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

21. #### var image: String

    Definition Classes
      BcftoolsMpileupArgs

22. #### var inputPath: String

23. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

24. #### var logLevel: String

    Definition Classes
      ParquetArgs

25. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

26. #### final def notify(): Unit

    Definition Classes
      AnyRef

27. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

28. #### var outputPath: String

    Definition Classes
      BcftoolsMpileupArgs → SaveArgs

29. #### var pageSize: Int

    Definition Classes
      ParquetArgs → ParquetRDDArgs

30. #### var printMetrics: Boolean

    Definition Classes
      Args4jBase

31. #### var referencePath: String

    Definition Classes
      BcftoolsMpileupArgs

32. #### var sortFastqOutput: Boolean

    Definition Classes
      BcftoolsMpileupArgs → ADAMSaveAnyArgs

33. #### var stringency: String

34. #### var sudo: Boolean

    Definition Classes
      BcftoolsMpileupArgs

35. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

36. #### def toString(): String

    Definition Classes
      AnyRef → Any

37. #### var useDocker: Boolean

    Definition Classes
      BcftoolsMpileupArgs

38. #### var useSingularity: Boolean

    Definition Classes
      BcftoolsMpileupArgs

39. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

40. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

41. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from ParquetArgs

### Inherited from ADAMSaveAnyArgs

### Inherited from SaveArgs

### Inherited from ParquetRDDArgs

### Inherited from cannoli.BcftoolsMpileupArgs

### Inherited from Args4jBase

### Inherited from AnyRef

### Inherited from Any

### Ungrouped